html {
  font-size: 14px;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  overflow-x: hidden;
  background: #fffff0;
}

* {
  margin: 0;
  padding: 0;
  outline: 0 none;
  border: 0 none;
  box-sizing: 0;
  color: #342412;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  font-size: 17px;
  line-height: 28.9px;
  letter-spacing: 0%;
}

p {
  margin-bottom: 0;
}

.mt-2sm {
  margin-top: 12px;
}

.mb-2 {
  margin-bottom: 8px !important;
}

.mb-2sm {
  margin-bottom: 12px;
}

.mb-4x {
  margin-bottom: 40px;
}

.mb-8x {
  margin-bottom: 80px;
}

.mb-5 {
  margin-bottom: 48px !important;
}

.mt-5 {
  margin-top: 48px !important;
}

.mt-3 {
  margin-top: 16px !important;
}

.mt-4 {
  margin-top: 24px !important;
}

.pt-4 {
  padding-top: 24px !important;
}

h5 {
  font-size: inherit;
}

.gap-2sm {
  gap: 12px;
}

.gap-4sm {
  gap: 32px;
}

.gap-5 {
  gap: 48px !important;
}

.gap-4 {
  gap: 24px !important;
}

.gap-3 {
  gap: 16px !important;
}

.text-title {
  font-family: "Cormorant Garamond", serif;
  font-weight: 600;
  font-size: 48px;
  /* line-height: 100%; */
  letter-spacing: 0%;
  text-align: center;
  color: #b28f1e;
}

.text-dark-brown {
  color: #5c3d1e;
  font-family: "Cormorant Garamond", serif;
  font-weight: 600;
  font-size: 40px;
  /* line-height: 100%; */
}

.text-brown {
  color: #5c3d1e;
}

.text-white {
  color: #f8f5f0 !important;
}

.text-bold {
  font-weight: 700;
  font-size: 17px;
  line-height: 56px;
  letter-spacing: 0%;
  color: #5c3d1e;
}

.text-normal {
  font-size: 14px;
  line-height: 30.6px;
  color: #b28f1e;
}

section {
  margin-top: 104px;
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus {
  box-shadow: none;
}

.btn {
  padding: 16px 24px;
  font-size: 17px;
  font-weight: 500;
  /* line-height: 100%; */
  min-height: 53px;
  width: 224px;
  height: 53px;
  color: #f8f5f0;
  font-family: "Cormorant Garamond", serif;
  transition: transform 0.8s ease-in-out;
  white-space: nowrap;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

button.btn.btn-primary {
  background: #342412;
  border: 0;
  border-radius: 0;
  min-width: 126px;
  padding: 16px 24px;
  gap: 8px;
}

.btn.btn-primary:hover {
  background: var(--darker-black, #7a6a59);
}

/* .btn-primary:active {
  background: #342412 !important;
} */

button.btn.btn-primary-light {
  border: 2px solid #ffffff;
  border-radius: 0;
  min-width: 156px;
  height: 45px;
  min-height: 45px;
  box-sizing: border-box;
  gap: 8px;
}

.card {
  border: 0;
  border-radius: 0;
  background: #fffff0;
}

.card-container-default {
  max-width: 1520px;
  margin: 0 auto;
}

.card-container-sm {
  max-width: 1006px;
  margin: 0 auto;
}

.card-container-default .card-inner-text {
  padding: 64px 96px;
  background: #e0d9cf;
}

.card-container-bg {
  width: 1129px;
}

.text-sub-title {
  font-family: "Cormorant Garamond", serif;
  font-weight: 500;
  font-size: 24px;
  /* line-height: 100%; */
  letter-spacing: 0%;
  text-align: center;
  color: #5c3d1e;
}

img {
  object-fit: cover;
  /* width: 100%; */
}

@media (max-width: 767px) {
  * {
    font-size: 16px;
    line-height: 27.2px;
  }

  .p-3 {
    padding: 16px !important;
  }

  .pb-3 {
    padding-bottom: 16px !important;
  }

  .pb-4 {
    padding-bottom: 24px !important;
  }

  .pt-4 {
    padding-top: 24px !important;
  }

  .mb-2 {
    margin-bottom: 8px !important;
  }

  .mb-3 {
    margin-bottom: 16px !important;
  }

  .mb-4 {
    margin-bottom: 24px !important;
  }

  .mb-5 {
    margin-bottom: 32px !important;
  }

  .mb-4x {
    margin-bottom: 32px;
  }

  .mb-8x {
    margin-bottom: 56px;
  }

  section {
    margin-top: 40px;
  }

  .mt-4 {
    margin-top: 24px !important;
  }

  .mt-5 {
    margin-top: 32px !important;
  }

  .gap-5 {
    gap: 32px !important;
  }

  .gap-4 {
    gap: 24px !important;
  }

  .gap-3 {
    gap: 16px !important;
  }

  .gap-2 {
    gap: 8px !important;
  }

  .text-title {
    font-size: 32px;
  }

  .btn {
    min-height: 50px;
    font-size: 17px;
    font-weight: 500;
  }

  .card-container-default {
    padding: 0px 16px;
  }

  .card-container-default .d-flex {
    flex-wrap: wrap;
  }

  .card-container-default .card-inner-text {
    padding: 40px 32px;
  }

  img {
    width: 100%;
  }

  .text-sub-title {
    font-size: 20px;
  }

  .text-dark-brown {
    font-size: 28px;
  }

  .text-normal {
    line-height: 23.8px;
  }

  .short-text {
    display: inline !important;
  }

  .full-text {
    display: none !important;
  }
}

@media (min-width: 768px) and (max-width: 1366px) {
  section {
    margin-top: 64px;
  }

  .card-container-default {
    padding: 0 32px;
  }

  .card-container-default .d-flex {
    flex-wrap: wrap;
  }

  .card-container-default .card-inner-text {
    padding: 56px 64px;
  }

  .gap-5 {
    gap: 32px !important;
  }

  .gap-4 {
    gap: 24px !important;
  }

  .gap-3 {
    gap: 16px !important;
  }

  .gap-2sm {
    gap: 8px !important;
  }

  .mt-4 {
    margin-top: 24px !important;
  }

  .mb-5 {
    margin-bottom: 32px !important;
  }

  .mt-5 {
    margin-top: 32px !important;
  }

  .pt-4 {
    padding-top: 24px !important;
  }

  .text-title {
    font-size: 40px;
  }

  .text-bold {
    font-size: 16px;
    line-height: 27.2px;
  }

  .text-dark-brown {
    font-size: 32px;
    line-height: 39px;
  }

  button.btn.btn-primary {
    margin: 0 auto;
    height: 53px;
  }
}

/*---------navbar sidebar-------------*/

.navbar {
  background: #837b75;
  box-shadow: 0px 4px 4px 0px #3424121f;
  height: 60px;
  padding-left: 200px;
  padding-right: 200px;
}

.navbar .btn {
  width: auto;
  padding: 0;
}

button.btn:active {
  border: none;
}

.navbar .navbar-brand img {
  width: 184px;
  height: 44px;
}

.slide-menu {
  position: fixed;
  top: -100%;
  left: 0;
  width: 100%;
  height: auto;
  transition: top 0.6s ease;
  z-index: 999;
  padding: 88px;
  text-align: center;
  /* background: #e0d9cfe0; */
  background: rgba(224, 217, 207, 0.94);
  /* transition: top 0.8s ease, transform 0.8s ease; */
  transition: top 0.8s ease-in-out, transform 0.8s ease-in-out;
}

.slide-menu.active {
  top: 60px;
}

.slide-menu ul {
  padding: 0;
  margin: 0;
}

.slide-menu li.item-parent,
.slide-menu li.dropdown-item span {
  padding-top: 32px;
}

.slide-menu li.item-parent a,
.slide-menu li.dropdown-item span {
  font-size: 32px;
  color: #5c3d1e;
}

.slide-menu a,
.slide-menu li span {
  color: #5c3d1e;
  text-decoration: none;
  display: block;
  font-weight: 600;
  font-family: "Cormorant Garamond", serif;
}

.slide-menu-zh a,
.slide-menu-zh li span {
  font-weight: 400;
}

/* Khi MỞ (không có class collapsed) - mũi tên lên */
.dropdown-toggle[aria-expanded="true"]::after {
  border-top: 0;
  border-bottom: 0.3em solid;
}

.top-line {
  border: 1px solid #7a6a59;
  margin: 0 auto;
  max-width: 760px;
  margin-top: 16px;
}

.slide-menu .dropdown-item ul li:first {
  padding-top: 12px;
}

.slide-menu .dropdown-item ul li {
  padding-top: 16px;
}

.slide-menu .dropdown-item ul li a {
  font-size: 28px;
}

.navbar-brand-center {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.lang-dropdown img {
  width: 24px;
  height: 24px;
}

.lang-dropdown {
  position: relative;
  display: inline-block;
  height: 46px;
  justify-content: center;
  display: flex;
}

.dropdown-menu {
  display: none;
  position: absolute;
  top: 46px;
  /* left: 0; */
  right: 0;
  background: #f8f5f0;
  padding: 16px;
  border-radius: 6px;
  box-shadow: 0px 4px 6px 0px #0000001f;
  z-index: 1000;
}

.lang-dropdown:hover .dropdown-menu {
  display: block;
}

/* Tùy chọn: Style cho item */
.dropdown-menu li {
  padding: 8px 0;
  white-space: nowrap;
}

.dropdown-menu li:hover {
  background-color: #e0d9cf;
}

.dropdown-menu li a {
  color: #5c3d1e;
  line-height: 28.9px;
}

.slide-menu.active {
  transform: translateY(-50%);
  top: 50%;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 99;
  /* thấp hơn slideMenu */
  display: none;
}

/* Khi slideMenu active thì overlay hiển thị */
.slide-menu.active ~ .overlay {
  display: block;
}

li.dropdown-item:hover {
  cursor: pointer;
}

a:not([href]):not([class]),
a:not([href]):not([class]):hover {
  color: #5c3d1e;
  text-decoration: none;
  cursor: pointer;
}

@media (max-width: 1366px) {
  .navbar {
    padding: 0 16px;
    height: 56px;
  }

  .slide-menu {
    padding: 88px 40px;
  }

  .navbar .navbar-brand img {
    width: 128px;
    height: 30px;
  }

  .slide-menu li.item-parent a,
  .slide-menu li.dropdown-item span {
    font-size: 24px;
  }

  .slide-menu .dropdown-item ul li a {
    font-size: 20px;
  }

  .btn.btn-primary:hover {
    background: #342412;
  }

  .btn.btn-primary:active {
    background: var(--darker-black, #7a6a59);
  }

  .btn.btn-primary:focus {
    background: var(--darker-black, #342412);
  }
}

/*------------Slide show-----------*/
.carousel-cell {
  margin-right: 24px;
  border-radius: 8px;
  text-align: center;
  line-height: 150px;
  font-size: 20px;
  color: white;
  font-weight: bold;
}

.carousel-mb .carousel-cell.item {
  display: flex;
  flex-direction: column;
  min-height: 452px;
  height: auto;
  border-radius: 0;
}

.carousel-mb .item {
  max-width: 296px;
  padding: 24px;
}

.cold-brew-tea .carousel-mb .item {
  height: 507px;
}

.carousel-mb .item .tea-img-wrapper-mb img {
  width: 248px;
  height: 328px;
  object-fit: fill;
}

.cold-brew-tea .carousel-mb .item .tea-img-wrapper-mb img {
  width: 240px;
  height: 291px;
  object-fit: cover;
}

button.flickity-button {
  display: none;
}

.flickity-page-dots {
  bottom: -32px;
}

/* .tea-img-wrapper-mb {
    display: inline-block;
} */

.tea-img-wrapper-mb .container-items h5 {
  font-weight: 600;
  font-size: 17px;
  line-height: 28.9px;
  color: #5c3d1e;
  text-align: left;
}

.tea-img-wrapper-mb .container-items p {
  font-size: 16px;
  font-weight: 400;
  text-align: left;
  line-height: 27.2px;
  color: #5c3d1e;
}

.flickity-page-dots .dot {
  width: 12px;
  height: 12px;
  background: #342412;
}

@media (max-width: 767px) {
  .cold-brew-tea .carousel-mb .item {
    height: auto;
    width: 288px;
  }

  .premium-loose-tea .carousel-mb .carousel-cell.item {
    min-height: 581px;
  }

  .cold-brew-tea .carousel-mb .carousel-cell.item {
    min-height: 594px;
  }
}

/*---------Contact icon--------*/
/* CSS */
.contact-icons {
  position: fixed;
  top: 383px;
  right: 0;
  padding: 14px 8px 14px 16px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  z-index: 9999;
  background: #837b75;
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}

.contact-icons svg {
  display: block;
}

.contact-icons img {
  width: 24px;
  height: 24px;
  cursor: pointer;
  transition: transform 0.2s;
}

.contact-icons a:hover svg path {
  fill: #342412;
  color: #342412;
}

.contact-icons a {
  width: 24px;
  height: 24px;
}

a {
  text-decoration: none;
}

@media (max-width: 1366px) {
  .contact-icons {
    right: 0;
    top: 755px;
  }

  .contact-icons a:hover svg path {
    fill: #342412;
    color: #342412;
  }

  .contact-icons a:active svg path,
  .contact-icons a:focus svg path {
    fill: #f8f5f0;
    color: #f8f5f0;
  }

  .contact-icons .upload-to-top a:hover svg path {
    fill: #f8f5f0;
    color: #f8f5f0;
  }

  .contact-icons .upload-to-top a:active svg path,
  .contact-icons .upload-to-top a:focus svg path {
    fill: #342412;
    color: #342412;
  }
}

@media (max-width: 767px) {
  .contact-icons {
    top: 465px;
  }
}
